Page MenuHomePhabricator

efl/gesture: avoid direct double access in structs
ClosedPublic

Authored by zmike on Jan 27 2020, 6:28 AM.

Details

Summary

this is functionally wrong (the comparison fails) and also causes SIGBUS on
arm

Depends on D11197

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 27 2020, 6:28 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Jan 27 2020, 6:28 AM
zmike updated this revision to Diff 28531.Jan 27 2020, 7:07 AM
zmike edited the summary of this revision. (Show Details)

use intermediate double vals

zmike updated this revision to Diff 28545.Jan 27 2020, 11:13 AM
zmike added reviewers: CHAN, bu5hm4n.

add a couple missing cases

CHAN accepted this revision.Jan 28 2020, 3:13 AM

Looks good to me.

This revision is now accepted and ready to land.Jan 28 2020, 3:13 AM
bu5hm4n requested changes to this revision.Jan 28 2020, 3:39 AM

These two things, then we are fine i think.

src/lib/evas/gesture/efl_canvas_gesture_recognizer_flick.c
267

Here as well.

315

Here as well.

This revision now requires changes to proceed.Jan 28 2020, 3:39 AM
zmike updated this revision to Diff 28582.Jan 28 2020, 6:27 AM

add more cases

zmike updated this revision to Diff 28683.Jan 29 2020, 11:22 AM

rebase/rework

bu5hm4n accepted this revision.Feb 3 2020, 7:18 AM

That catched now all cases afaics.

This revision is now accepted and ready to land.Feb 3 2020, 7:18 AM
Closed by commit rEFL3612467c4fda: efl/gesture: avoid direct double access in structs (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:20 AM
This revision was automatically updated to reflect the committed changes.